Security Warning for known secure site

Post bug reports related to either the kiosk ISO or the kiosk wizard here.
Post Reply
rans_au
White ninja
White ninja
Posts: 5
Joined: 24 Jan 2017, 21:58
Distribution: Porteus Kiosk
Location: Australia

Security Warning for known secure site

Post#1 by rans_au » 01 Feb 2017, 03:39

Hi,

Using Porteus Kiosk [PK] version 4.2.0, with Chrome, I am getting a 'Your connection is not private' warning for the site https://llv.net.au
Specific error is: NET::ETT_CERTIFICATE_TRANSPARENCY_REQUIRED
I do not get this certificate error on Windows with Chrome v55, or Ubuntu with Chrome v56.

If I accept the certificate, I can see that the certificate is supplied by thawte.

A bit of googlising led to this post : https://productforums.google.com/forum/ ... F1rkldS49c
Seems to indicate an update of browser would solve the issue (although the post specifically refers to certificates from Symantec)?

I notice chrome on PK is v 54.0.2840.100 whereas current is v 56.0.2924.76, though unsure if this is relevant.

Is a browser update something that could be achieved with a customized module? Would this even resolve the issue?

Any help appreciated.
Thanks,
rans.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4614
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: Security Warning for known secure site

Post#2 by fanthom » 01 Feb 2017, 13:12

Hello Rans,

i can confirm that Chrome 55.x works fine on this website. If 'automatic updates' are not an option then please enable free trial on your kiosks and wait till next public version is released. Optionally you could switch to Firefox, customize the ISO yourself or buy a custom build with latest Chrome.

Thank you.
Please add [Solved] to your thread title if the solution was found.

rans_au
White ninja
White ninja
Posts: 5
Joined: 24 Jan 2017, 21:58
Distribution: Porteus Kiosk
Location: Australia

Re: Security Warning for known secure site

Post#3 by rans_au » 01 Feb 2017, 21:49

Hi fanthom,

Thanks for confirming the chrome version is the cause of the issue.
Can I ask how frequently the public versions are updated?

Regards,
rans.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4614
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: Security Warning for known secure site

Post#4 by fanthom » 02 Feb 2017, 11:20

Please add [Solved] to your thread title if the solution was found.

Post Reply